﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SceneManager : MonoBehaviour {

    public int countOfBrick = 12;

    public float radius = 4f;

    public Transform collectiblePrefab;

    private GameObject dirForBricks;


	// Use this for initialization
	void Start () {
        RefreshCubes();

    }

    void RefreshCubes()
    {
        float angleStep = 2 * Mathf.PI / countOfBrick;

        float angle = 0;

        dirForBricks = new GameObject();
        dirForBricks.name = "PickUpsFolder";

        Transform newObj;

        int generatedCubes = 0;

        do
        {
            var vector = new Vector3(radius * Mathf.Cos(angle), 0.5f, radius * Mathf.Sin(angle));
            newObj = Instantiate(collectiblePrefab, vector, Quaternion.identity);
            newObj.parent = dirForBricks.transform;

            angle = angle + angleStep;
            generatedCubes += 1;

        } while ((angle < 2 * Mathf.PI) && (generatedCubes<countOfBrick));


    }
	
	// Update is called once per frame
	void Update () {
		
	}
}
